Skip to main content
`Ctrl`+`K`

# numpy.union1d

numpy.union1d(ar1, ar2)

  Find the union of two arrays.

  Return the unique, sorted array of values that are in either of the two input arrays.

  Parameters:
    ar1, ar2 array_like

      Input arrays. They are flattened if they are not already 1D.

  Returns:
    union1d ndarray

      Unique, sorted union of the input arrays.

  Examples

      >>> import numpy as np
      >>> np.union1d([-1, 0, 1], [-2, 0, 2])
      array([-2, -1,  0,  1,  2])

  To find the union of more than two arrays, use functools.reduce:

      >>> from functools import reduce
      >>> reduce(np.union1d, ([1, 3, 4, 3], [3, 1, 2, 1], [6, 3, 4, 2]))
      array([1, 2, 3, 4, 6])